HPASSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.hp.hpas.ejb.HPASSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.hp.hpas.ejb
Class HPASSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.hp.hpas.ejb.HPASSubTask

All Implemented Interfaces:
  Serializable

public class HPASSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Creates hp-ejb-jar.xml deployment descriptor for HPAS.

Version:
  $Revision: 1.8 $
Author:
  Andrew Stevens
See Also:
  Serialized Form
ant.element
  display-name="HP AS" name="hpas" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  January 10, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `persistenceClass`
`protected String` | `persistenceProduct`
`protected String` | `persistenceSuffix`
`protected String` | `persistenceVersion`
`protected String` | `sfsbPassivationRoot`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`HPASSubTask()`

Method Summary
`String` | `getPersistenceClass()` Gets the PersistenceClass attribute of the HPASSubTask object
`String` | `getPersistenceProduct()` Gets the PersistenceProduct attribute of the HPASSubTask object
`String` | `getPersistenceSuffix()` Gets the PersistenceSuffix attribute of the HPASSubTask object
`String` | `getPersistenceVersion()` Gets the PersistenceVersion attribute of the HPASSubTask object
`String` | `getSfsbPassivationRoot()` Gets the SfsbPassivationRoot attribute of the HPASSubTask object
`void` | `setPersistenceClass(String persistenceClass)` Only applies when using CMP.
`void` | `setPersistenceProduct(String persistenceProduct)` Only applies when using CMP.
`void` | `setPersistenceSuffix(String persistenceSuffix)` Only applies when using CMP.
`void` | `setPersistenceVersion(String persistenceVersion)` Only applies when using CMP.
`void` | `setSfsbPassivationRoot(String sfsbPassivationRoot)` The path to a local directory indicating where the container should passivate Stateful Session Bean instances.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sfsbPassivationRoot

    protected String sfsbPassivationRoot

### persistenceProduct

    protected String persistenceProduct

### persistenceVersion

    protected String persistenceVersion

### persistenceClass

    protected String persistenceClass

### persistenceSuffix

    protected String persistenceSuffix

Constructor Detail

### HPASSubTask

    public HPASSubTask()

Method Detail

### getSfsbPassivationRoot

    public String getSfsbPassivationRoot()

  Gets the SfsbPassivationRoot attribute of the HPASSubTask object

  Returns:
    The SfsbPassivationRoot value

### getPersistenceProduct

    public String getPersistenceProduct()

  Gets the PersistenceProduct attribute of the HPASSubTask object

  Returns:
    The PersistenceProduct value

### getPersistenceVersion

    public String getPersistenceVersion()

  Gets the PersistenceVersion attribute of the HPASSubTask object

  Returns:
    The PersistenceVersion value

### getPersistenceClass

    public String getPersistenceClass()

  Gets the PersistenceClass attribute of the HPASSubTask object

  Returns:
    The PersistenceClass value

### getPersistenceSuffix

    public String getPersistenceSuffix()

  Gets the PersistenceSuffix attribute of the HPASSubTask object

  Returns:
    The PersistenceSuffix value

### setSfsbPassivationRoot

    public void setSfsbPassivationRoot(String sfsbPassivationRoot)

  The path to a local directory indicating where the container should passivate Stateful Session Bean instances.

  Parameters:
    `sfsbPassivationRoot` - The new SfsbPassivationRoot value

### setPersistenceProduct

    public void setPersistenceProduct(String persistenceProduct)

  Only applies when using CMP. Specifies the name of a third party persistence manager product.

  Parameters:
    `persistenceProduct` - The new PersistenceProduct value

### setPersistenceVersion

    public void setPersistenceVersion(String persistenceVersion)

  Only applies when using CMP. Specifies the version of the third party product.

  Parameters:
    `persistenceVersion` - The new PersistenceVersion value

### setPersistenceClass

    public void setPersistenceClass(String persistenceClass)

  Only applies when using CMP. Specifies the class that implements the persistence manager interface.

  Parameters:
    `persistenceClass` - The new PersistenceClass value

### setPersistenceSuffix

    public void setPersistenceSuffix(String persistenceSuffix)

  Only applies when using CMP. Specifies a suffix to be appended to the abstract bean class name to obtain the generated bean class name.

  Parameters:
    `persistenceSuffix` - The new PersistenceSuffix value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD